# Create a share recipient

Launch stage: GA

`POST /api/2.1/unity-catalog/recipients`

Creates a new recipient with the delta sharing authentication type in the metastore.
 The caller must be a metastore admin or have the **CREATE_RECIPIENT** privilege on the metastore.

API scopes: sharing

## Request body

- `name` (string, optional)
  Name of Recipient.
- `authentication_type` (string, optional)
  Possible values:
  - `TOKEN`
  - `DATABRICKS`
  - `OIDC_FEDERATION`
  - `OAUTH_CLIENT_CREDENTIALS`
- `sharing_code` (string, optional)
  The one-time sharing code provided by the data recipient. This field is only present when the __authentication_type__ is **DATABRICKS**.
- `data_recipient_global_metastore_id` (string, optional)
  The global Unity Catalog metastore id provided by the data recipient.
   This field is only present when the __authentication_type__ is **DATABRICKS**.
   The identifier is of format __cloud__:__region__:__metastore-uuid__.
- `owner` (string, optional)
  Username of the recipient owner.
- `comment` (string, optional)
  Description about the recipient.
- `ip_access_list` (object, optional)
  IP Access List
  - `allowed_ip_addresses` (array of string, optional)
    Allowed IP Addresses in CIDR notation. Limit of 100.
- `properties_kvpairs` (object, optional)
  Recipient properties as map of string key-value pairs.
   When provided in update request, the specified properties will override the existing
   properties. To add and remove properties, one would need to perform a read-modify-write.
  - `properties` (object, required)
    A map of key-value properties attached to the securable.
- `expiration_time` (int64, optional)
  Expiration timestamp of the token, in epoch milliseconds.

## Returns

Returns the RecipientInfo object.

## Response

```json
{
  "name": "string",
  "authentication_type": "TOKEN",
  "sharing_code": "string",
  "data_recipient_global_metastore_id": "string",
  "owner": "string",
  "comment": "string",
  "ip_access_list": {
    "allowed_ip_addresses": [
      "string"
    ]
  },
  "properties_kvpairs": {
    "properties": {}
  },
  "expiration_time": 0,
  "activation_url": "string",
  "activated": true,
  "created_at": 0,
  "created_by": "string",
  "tokens": [
    {
      "id": "string",
      "created_at": 0,
      "created_by": "string",
      "activation_url": "string",
      "expiration_time": 0,
      "updated_at": 0,
      "updated_by": "string"
    }
  ],
  "updated_at": 0,
  "updated_by": "string",
  "cloud": "string",
  "region": "string",
  "metastore_id": "string",
  "id": "string"
}
```

